org.eclipse.emf.facet.query.java.core

## Interface IParameterValueListFactory2

    public interface IParameterValueListFactory2

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IParameterValueListFactory2` `INSTANCE` Factory singleton

### Method Summary

All Methods Instance Methods Abstract Methods
`IParameterValueList2` `createParameterValueList(ParameterValue... values)` This method has to be used to get a new instance of `IParameterValueList2`

### Field Detail

#### INSTANCE

    static final IParameterValueListFactory2 INSTANCE

Factory singleton

### Method Detail

#### createParameterValueList

    IParameterValueList2 createParameterValueList(ParameterValue... values)

This method has to be used to get a new instance of `IParameterValueList2`

Parameters:
  `values` - the list of parameters
Returns:
  an `IParameterValueList2` instance containing the provided parameter values